## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           libunicode
Version:        0.4.0
Release:        %autorelease
Summary:        Modern C++20 Unicode Library
License:        Apache-2.0
URL:            https://github.com/contour-terminal/libunicode
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         libunicode-fix-catch-in-cmake.patch

ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  cmake(fmt)
BuildRequires:  cmake(range-v3)
BuildRequires:  unicode-ucd
BuildRequires:  pkgconfig(catch2)

%description
The goal of libunicode library is to bring painless unicode support to C++
with simple and easy to understand APIs. The API naming conventions are chosen
to look familiar to those using the C++ standard libary.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package        tools
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
The %{name}-tools package contains tools about %{name}.

%prep
%autosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DLIBUNICODE_UCD_DIR=%{_datadir}/unicode/ucd \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md Changelog.md
%{_libdir}/libunicode*.so.0.4*

%files devel
%{_includedir}/libunicode/
%{_libdir}/cmake/libunicode/
%{_libdir}/libunicode*.so

%files tools
%{_bindir}/unicode-query

%changelog
* Wed Dec 20 2023 topazus <topazus@outlook.com> 0.4.0-2
- fix dependency format

* Wed Nov 29 2023 topazus <topazus@outlook.com> 0.4.0-1
- update to 0.4.0; add packit config file

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Vitaly Zaitsev <vitaly@easycoding.org> 0.3.0-3
- Rebuilt due to fmt 10 update.

* Thu Jun 01 2023 topazus <topazus@outlook.com> 0.3.0-2
- add patch comment and format fix

* Mon Mar 06 2023 topazus <topazus@outlook.com> 0.3.0-1
- Initial import (rhbz#2174383)
